Dia2Postgres - PHP module documentation



The PHP module is able to generate PHP4 classes that may be used to access the
base from a PHP4 script. The generated classes currently only work with table
that have an unique identifier.


I. PHP command line arguments

-p <outfile>
--php <outfile>
	Outputs PHP4 database access classes into <outfile>.


II. Using the generated classes

In order to use the generated classes, you will have to include in your PHP
script the files found in the php/ subdirectory of the Dia2Postgres
distribution, then the file generated by the Dia2Postgres PHP module :

	require_once ("d2p_manager.inc");
	require_once ("d2p_data.inc");
	require_once ("outputscript.inc");

You will then have to connect to a PosgtreSQL database and create a new DB
classes manager :

	$pg = pg_connect(...);
	$dm = new d2p_manager($pg);

You will then be able to :

	* Create new objects to be inserted into the base

		$obj = $dm->newObject("table_name");

	* Create objects from tables with an unique identifier :

		$obj = $dm->objectFromBase("table_name", "unique_id_value");

	* Create objects lists from tables with a query :

		$olst = $dm->listFromBase("table_name", "SQL query");

Each object may be read from via the getField method :

	echo $obj->getField("field_name");

...or modified via the setField method :

	$obj->setField("field_name", value);

Note : when a field is a foreign key, the value used for such a field
is an instance of the class that represents the destination table :

	$obj2 = $obj->getField("foreign_key");
	$obj3 = $dm->newObject("table_name");
	$obj3->setField("foreign_key", $obj2);

You may use the instances to automatically output HTML forms that
reprents the data they contain :

	<FORM ACTION='action.php'><?=$obj3->getHTMLForm()?></FORM>

If modifications are to be done into the database, the commit() method
of the manager's instance has to be called :

	$dm->commit();
